parameter_invalid
parameter_invalid
Description
The request contains at least one parameter with an invalid value, type, or format.
HTTP Status
400 Bad Request
doc_url Format
The doc_url value is an absolute URL and changes by environment:
<docs-base-url>/errors/parameter_invalid
Typical Causes
- A field has an unsupported enum value (for example
method: "CASH"). - A field format is invalid (for example an invalid UUID or date format).
- A field value does not satisfy schema constraints.
- On
POST /v1/support/subscribers/{subscriberId}/requests,subscriberIdis not a valid UUID. - On
POST /v1/support/subscribers/{subscriberId}/requests,messageis missing, empty after trimming, or longer than 5000 characters. - On
POST /v1/support/subscribers/{subscriberId}/requests, the request body is malformed JSON or notapplication/json. - On
GET /v1/billing/commissions,pageis not a positive integer,perPageis outside1–100, ortypeis notinducementorbusiness-commission. - On
GET /v1/billing/commissions/{commissionId}/download,commissionIdis not a valid UUID. - On
POST /v1/total-surrender/policies/{policyId}/declarations,policyIdis not a valid UUID,reasonis notclient-request,regulatory, orcompliance, orrequestedAtis not a valid ISO date (YYYY-MM-DD). - On
POST /v1/total-surrender/policies/{policyId}/declarations, the request body is malformed JSON or notapplication/json. - On
GET /v1/total-surrender/policies/{policyId}/declarations/{declarationId},policyIdordeclarationIdis not a valid UUID. - On
POST /v1/partial-surrender/policies/{policyId}/compartments/{compartmentId}/declarations,policyIdorcompartmentIdis not a valid UUID,amountis missing or invalid,amount.valueoramount.scaleis not positive,amount.currencyis notEUR, orrequestedAtis missing or not a valid ISO date (YYYY-MM-DD). - On
POST /v1/partial-surrender/policies/{policyId}/compartments/{compartmentId}/declarations, the request body is malformed JSON or notapplication/json. - On
GET /v1/partial-surrender/policies/{policyId}/compartments/{compartmentId}/declarations/{declarationId},policyId,compartmentId, ordeclarationIdis not a valid UUID. - On
GET /v1/death-settlement/policies/{policyId}/standard-beneficiary-designations,policyIdis not a valid UUID. - On
GET /v1/death-settlement/policies/{policyId}/beneficiary-designation,policyIdis not a valid UUID. - On
PUT /v1/death-settlement/policies/{policyId}/beneficiary-designation,policyIdis not a valid UUID,kindis notstandard-designationorcustom-designation,standardDesignationIdis missing or blank whenkindisstandard-designation, ortextis missing or blank whenkindiscustom-designation. - On
PUT /v1/death-settlement/policies/{policyId}/beneficiary-designation, the request body is malformed JSON or notapplication/json. - On
POST /v1/pay-out/subscribers/{subscriberId}/ibans,subscriberIdis not a valid UUID oribanis missing or blank. - On
POST /v1/pay-out/subscribers/{subscriberId}/ibans, the request body is malformed JSON or notapplication/json. - On
PATCH /v1/pay-out/subscribers/{subscriberId}/ibans/{iban}/make-default,subscriberIdis not a valid UUID oribanis blank. - On
POST /v1/user-feedback,commentis missing, empty after trimming, or longer than 2000 characters. - On
POST /v1/user-feedback,pathis missing, does not start with/, or contains invalid URL path characters. - On
POST /v1/user-feedback, the request body is malformed JSON or notapplication/json. - On
POST /v1/subscription/subscribers,name,birth,nationality,taxClassification,address, oremailis invalid, or the request body is malformed JSON or notapplication/json. - On
POST /v1/subscription/insurees,nameorbirthis invalid, or the request body is malformed JSON or notapplication/json. - On
POST /v1/subscription/subscribers/{subscriberId}/subscriptions,subscriberId,productId, orinsureeIdis not a valid UUID, or the request body is malformed JSON or notapplication/json. - On
POST /v1/subscription/subscriptions/{subscriptionId}/documents,subscriptionIdis not a valid UUID,kindis invalid, the uploaded file is missing, empty, or not a PDF, or the multipart form data is malformed. - On
DELETE /v1/subscription/subscriptions/{subscriptionId}/documents/{kind},subscriptionIdis not a valid UUID orkindis invalid. - On
GET /v1/subscription/subscriptions/{subscriptionId}/form,subscriptionIdis not a valid UUID. - On
POST /v1/subscription/subscriptions/{subscriptionId}/signed-form,subscriptionIdis not a valid UUID, the uploaded file is missing, empty, or not a PDF, or the multipart form data is malformed. - On
POST /v1/subscription/subscriptions/{subscriptionId}/e-signing-requests,subscriptionIdis not a valid UUID. - On
POST /v1/subscription/subscriptions/{subscriptionId}/withdraw,subscriptionIdis not a valid UUID. - On compartment-lifecycle endpoints, a path parameter such as
policyId,managerId, orcompartmentIdis not a valid UUID. - On
POST /v1/compartment-lifecycle/discretionary-managers,nameis missing or blank, or the request body is malformed JSON or notapplication/json. - On
POST /v1/compartment-lifecycle/discretionary-managers/{managerId}/mandates,nameorriskLevelis missing or blank,managerIdis not a valid UUID, or the request body is malformed JSON or notapplication/json. - On
GET /v1/compartment-lifecycle/mandates,pageis not a positive integer,perPageis outside1-100,managerIdis not a valid UUID, orriskLevelis not one of the supported values. - On
POST /v1/compartment-lifecycle/policies/{policyId}/compartments,managementModeornameis missing or blank,mandateIdis not a valid UUID, or the request body is malformed JSON or notapplication/json. - On
GET /v1/compartment-lifecycle/policies/{policyId}/compartments,policyIdis not a valid UUID,pageis not a positive integer, orperPageis outside1-100. - On
GET,PATCH, orDELETE /v1/compartment-lifecycle/compartments/{compartmentId},compartmentIdis not a valid UUID. - On
PATCH /v1/compartment-lifecycle/compartments/{compartmentId}, the body is empty, contains an invalidmandateId, combinesmanagementMode: "self-invested"withmandateId, omitsmandateIdformanagementMode: "discretionary-management", or is malformed JSON / notapplication/json. - On
PUT /v1/compartment-lifecycle/compartments/{compartmentId}/delegation,compartmentIdormandateIdis not a valid UUID, or the request body is malformed JSON or notapplication/json. - On
POST /v1/compartment-lifecycle/compartments/{compartmentId}/transfers,compartmentIdortargetCompartmentIdis not a valid UUID,amountorfundshas an invalid shape, required transfer details for the source management mode are missing, or the request body is malformed JSON or notapplication/json.
Example
Request:
http
POST /v1/premium-scheduling/single-premium-requests
Content-Type: application/json
{
"policyId": "8f68c04d-42b6-4375-bec9-1dcf0ff0f385",
"payerId": "4b7f6518-c699-4d8f-ad6d-f8ff9bf25ed8",
"method": "CASH",
"amount": { "value": 100, "currency": "EUR" },
"iban": "FR7630006000011234567890189"
}Support Example
Request:
http
POST /v1/support/subscribers/not-a-uuid/requests
Content-Type: application/json
Authorization: Bearer <access-token>
{
"message": "Need support."
}Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: subscriberId - Invalid UUID ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}Billing Example
Request:
http
GET /v1/billing/commissions?page=0&type=bonus
Authorization: Bearer <access-token>Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: page - Too small: expected number to be >0 ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}Total Surrender Example
Request:
http
POST /v1/total-surrender/policies/8f68c04d-42b6-4375-bec9-1dcf0ff0f385/declarations
Content-Type: application/json
Authorization: Bearer <access-token>
{
"reason": "unknown-reason",
"requestedAt": "2026-05-15"
}Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: reason - Invalid option: expected one of \"client-request\"|\"regulatory\"|\"compliance\" ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}Partial Surrender Example
Request:
http
POST /v1/partial-surrender/policies/8f68c04d-42b6-4375-bec9-1dcf0ff0f385/compartments/4b7f6518-c699-4d8f-ad6d-f8ff9bf25ed8/declarations
Content-Type: application/json
Authorization: Bearer <access-token>
{
"amount": {
"value": 0,
"scale": 2,
"currency": "EUR"
},
"requestedAt": "2026-05-15"
}Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: amount.value - Too small: expected number to be >0 ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}Death Settlement Example
Request:
http
GET /v1/death-settlement/policies/not-a-uuid/beneficiary-designation
Authorization: Bearer <access-token>Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: policyId - Invalid UUID ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}Pay-Out Example
Request:
http
POST /v1/pay-out/subscribers/not-a-uuid/ibans
Content-Type: application/json
Authorization: Bearer <access-token>
{
"iban": "FR7630006000011234567890189"
}Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: subscriberId - Invalid UUID ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}User Feedback Example
Request:
http
POST /v1/user-feedback
Content-Type: application/json
{
"comment": " ",
"path": "dashboard"
}Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: comment - Too small: expected string to have >=1 characters ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}Subscription Example
Request:
http
POST /v1/subscription/subscribers/not-a-uuid/subscriptions
Content-Type: application/json
Authorization: Bearer <access-token>
{
"productId": "73000000-0000-4000-8000-000000000001",
"insureeId": "72000000-0000-4000-8000-000000000001"
}Response:
json
{
"errors": [
{
"code": "parameter_invalid",
"message": "Param: subscriberId - Invalid UUID ",
"doc_url": "https://docs.example.com/errors/parameter_invalid"
}
]
}How To Fix
- Inspect the
messagefield in the API response to identify the invalid parameter. - Correct the request payload according to the endpoint schema in the API reference.
- Retry the request.